org.firebirdsql.jdbc.metadata

## Class GetProcedureColumns

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetProcedureColumns

    public abstract class GetProcedureColumns
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getProcedureColumns(String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetProcedureColumns` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getProcedureColumns(java.lang.String procedureNamePattern, java.lang.String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getProcedureColumns

    public final java.sql.ResultSet getProcedureColumns(java.lang.String procedureNamePattern,
                                                        java.lang.String columnNamePattern)
                                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getProcedureColumns(String, String, String, String)`

#### create

    public static GetProcedureColumns create(DbMetadataMediator mediator)